# SmartWeb-vue3 [![nodejs](https://img.shields.io/badge/node-v16.x-brightgreen)](https://nodejs.org/en/) [![yarn](https://img.shields.io/badge/yarn-v1.22.18-blue)](https://yarnpkg.com/getting-started/install#nodejs-1610)

## 开始使用

```bash
# 安装依赖 （.npmrc中可切换依赖库资源地址）
yarn

# 启动服务
yarn dev
```

## 代码校验

```bash
# 代码校验
yarn lint
```

## 自定义主题

在以下文件修改主题变量

- 修改 Element-Plus 主题： `src\assets\styles\element-plus.scss`
- 修改本地主题： `src\config\theme.ts`

## 安装 VSCode 插件

- [Vue Language Features (Volar)](https://marketplace.visualstudio.com/items?itemName=Vue.volar)
- [TypeScript Vue Plugin (Volar)](https://marketplace.visualstudio.com/items?itemName=Vue.vscode-typescript-vue-plugin)
- [ESLint](https://marketplace.visualstudio.com/items?itemName=dbaeumer.vscode-eslint)
- [Prettier - Code formatter](https://marketplace.visualstudio.com/items?itemName=esbenp.prettier-vscode)
- [Stylelint](https://marketplace.visualstudio.com/items?itemName=stylelint.vscode-stylelint)

## 部署

部署可以使用 `deploy.sh` 脚本，`windows` 下需使用 `git bash`终端执行

注：登录服务器需要上传自己的 ssh_key

```
./deploy.sh
```

## 作者

South Smart EF 团队。
