import type { AxiosResponse } from 'axios';
import request from '@/utils/request';

/**
 * @description 查询在线人数列表
 */
export function selectOnlineUser(data: any): Promise<AxiosResponse> {
  return request({
    url: '/system/user/selectOnlineUser',
    method: 'get',
    params: data,
  });
}

/**
 * @description 查询在线人数
 */
export function getPersonSize(): Promise<AxiosResponse> {
  return request({
    url: '/system/user/OnlineUserNumber',
    method: 'get',
  });
}
