/* eslint-disable no-restricted-syntax */
import type { App } from 'vue';
import * as ElementPlusIconsVue from '@element-plus/icons-vue';

export function useElementPlusIconsVue(app: App) {
  for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
    app.component(key, component);
  }
}
