/**
 * 树状菜单列表
 */
// eslint-disable-next-line no-use-before-define
export type MenuTreeData = MenuTreeDataItem[] | [];

export interface MenuTreeDataItem {
  name: string;
  type: string;
  children: MenuTreeData;
  classify: number;
  hasChildren: boolean;
  id: string;
  isAble: number | null;
  menuMark: string | null;
  path: string | null;
  permission: string | null;
  pid: string | null;
  pidName: string | null;
  sort: number | null;
  state: number | null;
  icons: string | null;
}
