import { toRefs, reactive } from 'vue';
import { getRoleInfo } from '@/api/permission/roleManagement';

export default function useGetOrganizationData(): any {
  const state = reactive<{
    associatedData: any;
  }>({
    associatedData: null,
  });

  // 点击行查询关联资源
  const handleClickRow = (row: any) => {
    getRoleInfo(row.id).then((res) => {
      state.associatedData = res.data;
    });
  };
  return {
    ...toRefs(state),
    handleClickRow,
  };
}
