module.exports = {
  renderFiles: ['package.json', 'README.md'],
  prompts: {
    // 收集用户的自定义数据
    name: {
      type: 'string',
      required: true,
      message: 'Project name',
    },
    description: {
      type: 'string',
      required: false,
      message: 'Project description',
      default: 'a smartweb api vue3 project',
    },
    author: {
      type: 'string',
      message: 'Author',
    },
  },
  // filters:根据条件过滤文件
  // completeMessage: 模板渲染完成后给予的提示信息，支持handlebars的mustaches表达式
  // complete<Function>: 模板渲染完成后的回调函数, 优先于 completeMessage
  // helpers<Object>: 自定义的 Handlebars 辅助函数
};
