# SmartWeb 3.0 更新日志

## v3.2.1

### :boom: 重要改动

### :sparkles: 功能
- 系统管理 -> 岗位管理
  - 岗位管理处增加显示关联人员 #zentao 31786
- 系统管理-> 角色管理
  - 新增关联资源权限操作功能
- 系统管理-> 资源管理
  - 界面重构，增加筛选区，内容区改为树形列表，方便用户查看
- 其他
  - 针对 "审计管理员" 添加日志限额提示
  - smartForm treeSelect新增filterNodeMethod属性
  - 操作权限细化控制添加operate字段判断

### :bug: Bug修复
- 系统管理 -> 用户管理
  - 新增子组织时，行政区域选择界面异常 #zentao 36403
  - 修复当行政区域为空导致报错问题
  - 勾选展示全部后，取消勾选未刷新，仍显示全部数据 #zentao 34935
  - 设计不合理，应该无法选择类型是分组的 #zentao 36607
  - 在存在子组织的父组织下新增用户，查看详情编辑时不显示组织架构 #zentao 32149
  - 关联组织时可以不选到叶子节点 #zentao 36099
  - 用户首次登录不修改密码，刷新提示登录成功，判断越权不合理 #zentao 32025
  - 下线后重新请求用户列表接口
  - 新增子组织时，行政区域选择界面异常 #zentao 36403
  - 新增用户关联角色没有清除缓存 #zentao 36638
- 系统管理 -> 资源管理
  - 鼠标移入显示标签不正确 #zentao 32485
- 配置管理 -> 组织架构管理
  - 新增组织架构查看信息均为空 #zentao 36423
- 配置管理 -> 字典管理
  - 列名需与弹窗中的属性名有些不一致 #zentao 36379
  - 禁用虚拟分组后，子配置项父节点显示变为id #zentao 36390
  - 配置项详情编辑保存失败 #zentao 36393
  - 父节点为空组情况下，新增虚拟分组/配置项，默认父节点为-1 #zentao 36325
- 配置管理 -> 系统配置
  - 同时修改标题、副标题，保存成功提示重复 #zentao 36712
- 系统管理 -> 角色管理
  - 新增角色，保存到下一步操作后，无法返回修改，设计不合理 #zentao 32127
  - 角色管理页面中可将系统管理员角色禁止 #zentao 36432
  - 新增相同编码业务字典显示不正确 #zentao 36373
  - 数据作用域选择指定岗位，保存失败 #zentao 36485
  - 新增角色作用域选择字典类型后，删除该字典，导致角色详情不显示 #zentao 36471
  - 指定组织后删除该组织，显示不正确 #zentao 36412
  - 指定组织、岗位、指定人、行政区域、数据字典后删除该组织，显示不正确 #zentao 36412
  - 数据作用域右侧下拉框，增加关键字模糊筛选功能 #zentao 36606
  - 查看关联用户时，刷新较慢先显示上一角色信息，再显示当前角色信息 #zentao 36765
  - 状态为禁用不可操作其他按钮
  - 更改关联资源数据格式
  - 基础角色不可关联资源
  - 修复关联资源树节点文字过长导致单选框浮动的问题
- 配置管理 -> 字典管理
  - 列名需与弹窗中的属性名有些不一致 #zentao 36379
  - 禁用虚拟分组后，子配置项父节点显示变为id #zentao 36390
  - 配置项详情编辑保存失败 #zentao 36393
  - 父节点为空组情况下，新增虚拟分组/配置项，默认父节点为-1 #zentao 36325
  - 字典类型显示有误，新增失败 #zentao 36473
  - 编虚拟分组、配置项父节点时，切换选择保存成功，但实际未生效 #zentao 36474
  - 修复上传csv文件报错问题
- 配置管理 -> 行政区域管理
  - 建议筛选结果有分组时自动展开显示 #zentao 36560
- 配置管理 -> 组织架构管理
  - 新增组织架构查看信息均为空 #zentao 36423
  - 带数值的组织架构，二次点击查看详情无请求无数据，F12查看报错 #zentao 36489
  - 新增子项文字与需求一致，为新增子组织 #zentao 32572
  - 行政区域下拉选择项界面优化 #zentao 36483
  - 新增组织负责人字段
- 配置管理 -> 安全配置
  - 强制下线用户，客户端B准备重复登录，客户端A同意后，客户端A未自动返回登录页面，而是需要操作或刷新才有提示 #zentao 36334
  - 关闭重复登录强制下线，用户重复登录失败 #zentao 36761
  - 重复登录强制下线，移除多余提示信息 #zentao 36637
- 审计管理 -> 系统日志
  - 搜索框无相关搜索提示 #zentao 36580
  - 数据备份与恢复弹框，建议固定弹框大小，数据较多时右侧增加滚动条
- 审计管理 -> 日志统计
  - 修复百分比显示问题
  - 建议修改不同级别风险展示效果 #zentao 36617
  - 修复饼图 undefined的问题
  - 导出日志数量录入较大数值，导出失败报错 #zentao 36764
- 系统管理 ->  岗位管理
  - 新增或者编辑岗位保存后，再操作新增弹框显示上一岗位信息 #zentao 36641
- 日志备份
  - 数据备份之后，点击恢复，恢复完成应有提示 #zentao 36355
  - 登录日志、操作日志列表下方建议显示总条数 #zentao 36362
  - 导出全部日志无响应 #zentao 36405
- 消息通知
  - 私信-选择接收人面板，建议增加用户筛选功能 #zentao 36502
- 审计管理-登录日志/操作日志
  - 数据备份与恢复弹框，建议固定弹框大小，数据较多时右侧增加滚动条 #zentao 36636
- 其他
  - 修复热更新报错问题
  - 关闭标签页强制下线当前在线用户，设计不合理 #zentao 36511
  - 【登录】
    - 文字修改，建议修改所有地方登陆为登录 #zentao 36505
    - 修复登录时修改密码等逻辑 #zentao 36709 #zentao 36697 #zentao 36711 #zentao 36708

---


---

## v3.2.0 `2022-09-30`

### :boom: 重要改动
- 组件库element-plus版本升级至2.2.x
  - `<el-button/>` 组件 type='text' 独立改为 text 属性

### :sparkles: 功能
- 审计管理 -> 登录日志
  - 导出功能添加筛选条件
  - 添加备份与恢复功能
- 审计管理 -> 操作日志
  - 导出功能添加筛选条件
  - 添加备份与恢复功能
  - 删除、查询权限code修改
- 字典管理
  - 字典类型显示优化
  - 新增配置表单字段
- 角色管理
  - 对角色类型添加数据作用域类型和对应相关逻辑
- 资源管理
  - 新增虚拟目录和外部资源类型
- 行政区域管理
  - 新增导入功能
- 安全配置
  - 新增 “账户锁定时间”，“定期修改密码”， “强制下线” ，“问询倒计时” 配置
- 登录
  - 添加 “到期修改密码” 功能
- 其他
  - 关闭浏览器用户退出登录
  - 强制下线处理：白名单IP变化、可访问时间到期、用户权限变化、用户重复登录
  - token刷新机制修改
  - smartForm添加开关和树形下拉框类型
  - smartForm添加tip提示标签

### :bug: Bug修复
- 字典管理
  - 修复配置项没有传参是系统类型或业务类型报错 #zentao 35744
- 用户管理
  - 状态为重设密码时看不到提示语 #zentao 36017
  - 关联岗位及关联组织穿梭框逻辑更改 #zentao 33587
  - 关联角色显示不全 #zentao 36010
- 角色管理
  - 角色分组逻辑不符合需求设计 #zentao 35745
  - 列表状态无法点击 #zentao 35916
  - 关联角色无法删除 #zentao 35915
  - 角色分组新增子节点调用接口错误 #zentao 35914
  - 状态无法点击 #zentao 35916
  - 穿梭框操作完不要立马关闭弹窗，由用户自行选择关闭 #zentao 35913
  - 用户可以自行选择关闭关联资源和角色 #zentao 35914
- 资源管理
  - 外部资源前端没有在菜单种显示 #zentao 35911
  - 下拉不包括菜单分组 #zentao 35909
  - 菜单类型下拉逻辑交互有问题 #zentao 36012
- 其他
  - 修复smartForm存在部分disabled属性不起效的问题
  - 更改smartTable参数可选项
---

## v3.1.0 `2022-07-15`

### :boom: 重要改动

- 项目规范整改
  - 使用yarn v1 构建
  - 更新eslint配置并修复lint问题
  - 添加stylelint配置修复css格式问题
  - 升级element-plus组件库版本至2.0.5并修复一些样式及写法问题
  - 修复文件名称大小写不统一问题
  - 同步了主要依赖的版本
  - 修改了VSCode recommendation extensions 及 settings

### :sparkles: 功能

- 系统管理 -> 用户管理
  - 组织架构增加排序
- 系统管理 -> 资源管理
  - 系统资源可编辑，排序值等信息
  - 系统资源单独调用独立接口
  - 新增虚拟菜单节点
  - 新增描述字段 #zentao 33591
- 配置管理 -> 字典管理
  - 文件夹添加“启用/禁用”状态
- 配置管理 -> 行政地区管理
  - 新增编辑行政区，行政区代码、行政区名、行政区简称优化 #zentao 32399
- 配置管理 -> 安全配置
  - 添加可访问时间功能
  - 根据是否开启等保功能进行功能开发
- 审计管理 -> 日志模块
  - 根据是否开启等保功能进行功能开发
- 其他
  - 穿梭框改造： 系统管理/角色管理 + 系统管理/用户管理，点击按钮直接保存
  - 消息通知页面放在系统右上角 #zentao 33594
  - 重置密码：当用户点击“取消“不修改密码时调用退出登录接口

### :bug: Bug修复

- 配置管理 -> 字典管理
  - 删除优化 1、删除前判断是否有子节点 2、删除前判断是否有启用的节点 #zentao 33512
  - 默认展开表格中的树 #zentao 33510
  - 提示文字修改 #zentao 33508
- 配置管理 -> 组织架构管理
  - 删除组织架构提示优化
  - 功能优化 1、删除逻辑优化，删除含有子组织的组织时二次弹框提示 #zentao 33514 2、用户管理，顶级组织允许删除 #zentao 33585
- 配置管理 -> 系统配置
  - 修复系统图标上传报错及回显问题
  - 修改头像上传方式
- 配置管理 -> 安全配置
  - 修复等保下输入框禁用问题 #zentao 33593
- 系统管理 -> 用户管理
  - 修复上级组织无法编辑问题 #zentao 32900
  - 在用户新增之后，关联角色的时候，传递用户姓名userName
  - 用户锁定与禁用状态均为红色，未达到需求设计 #zentao 32564
- 系统管理 -> 资源管理
  - 树结构显示排序值和图标 #zentao 33590
- 系统管理 -> 岗位管理
  - 岗位状态筛选交互优化 #zentao 32258
- 审计管理 -> 在线用户
  - 修复 “组织架构” 名称显示过长的问题 #zentao 31838
- 审计管理 -> 操作日志
  - 批量删除添加新增确认框 #zentao 33520
- 审计管理 -> 日志统计
  - 修复打开面板后，切换其它功能再进来，面板显示为空的问题 #zentao 31954
- 个人中心
  - 修改手机号、邮箱为必填项 #zentao 33477
  - 选择头像文件添加文件类型限制
  - 修复头像显示问题
- 其他
  - 登陆返回 code === 2009 的时候刷新验证码
  - 修复导航栏有时候没有颜色的问题
  - 修复因指令(v-action)绑定在自定义组件warning问题
  - 消息通知消息内容过长，建议使用...，鼠标聚焦后显示 #zentao 32152

### :rocket: 影响项目

- SmartGIS web3d
- SmartGIS server
- 定西项目
- 浙江绍兴三维一张图
