import vitePluginCopy from '../../vite-plugin-copy';
import { resolve } from 'path';
const appRoot = resolve(__dirname, '../../../')
export function copyPlugin(VITE_IS_3D: boolean) {
  if (VITE_IS_3D) {
    return vitePluginCopy([
      {
        src: resolve(appRoot, 'node_modules/@smart/cesium/Build/Cesium/*'),
        target: [resolve(appRoot, 'public/libs/Cesium')],
      },
      {
        src: resolve(appRoot, 'node_modules/smart3d/dist/*'),
        target: [resolve(appRoot, 'public/libs')],
      },
    ])
  } else {
    return [];
  }
}

