#!/bin/bash

DEPLOY_URL="172.16.11.137"
echo "【测试环境打包】"
echo -e "\033[32m -O- 部署开始 -O- \033[0m"

#####
echo -e "\033[33m >>>>> 开始打包 >>>>> \033[0m"
yarn run build:dev
echo -e "\033[33m <<<<< 打包完毕 <<<<< \033[0m"

#####
echo -e "\033[33m >>>>> 删除原文件 >>>>> \033[0m"
ssh smart@$DEPLOY_URL "
  cd /usr/local/nginx/html;
  rm -r smartweb-v2-dev
"

#####
echo -e "\033[33m >>>>> 开始上传文件 >>>>> \033[0m"
scp -r smartweb-v2-dev smart@$DEPLOY_URL:/usr/local/nginx/html
echo -e "\033[33m <<<<< 上传文件完毕 <<<<< \033[0m"

echo -e "\033[32m 部署成功 请打开 http://172.16.11.137/smartweb-v2-dev 查看\033[0m"
