#!/bin/bash

DEPLOY_URL="172.16.11.137"
echo " 🚀🚀🚀"
echo -e "\033[32m -O- 部署开始 -O- \033[0m"

#####
echo -e "\033[33m >>>>> 开始打包 >>>>> \033[0m"
yarn run build
echo -e "\033[33m <<<<< 打包完毕 <<<<< \033[0m"

#####
date=`date '+%Y-%m-%d-%H%M%S'`
echo -e "\033[33m >>>>> 开始备份 >>>>> \033[0m"
ssh smart@$DEPLOY_URL "
  cd /usr/local/nginx/html;
  mv smartweb-v2 smartweb-v2_$date
"
echo -e "\033[33m <<<<< 备份完毕 <<<<< \033[0m"

#####
echo -e "\033[33m >>>>> 开始上传文件 >>>>> \033[0m"
scp -r smartweb-v2 smart@$DEPLOY_URL:/usr/local/nginx/html
echo -e "\033[33m <<<<< 上传文件完毕 <<<<< \033[0m"

echo " 🚀🚀🚀"
echo -e "\033[32m 部署成功 请打开 http://172.16.11.137/smartweb-v2 查看\033[0m"
