import type { MenuList } from '../src/types/store/layout';

export const routeList: Array<MenuList> = [
  {
    id: 2,
    pid: 0,
    name: 'Demo',
    path: '/Demo',
    component: 'mapLayout',
    redirect: '/Demo/DemoList',
    meta: { title: '示例管理', icon: 'grid' }
  },
  {
    id: 20,
    pid: 2,
    name: 'DemoList',
    path: '/Demo/DemoList',
    component: 'DemoList',
    meta: { title: '示例详情', icon: '' }
  },
  {
    id: 21,
    pid: 2,
    name: 'DemoList1',
    path: '/Demo/DemoList1',
    component: 'DemoList1',
    meta: { title: '示例详情1', icon: '' }
  }
];
