export enum MsgModel {
  GO_OFF_LINE = 'goOffline', // 快下线提示
  // PERSONALLETTER = 'personalLetter', // 私信推送
  FORCED_OFF_LINE = 'forcedOffline', // 强制下线提示
  QUERY_OFF_LINE = 'queryOffline', // 问询下线
}

export enum OtherModel {
  REFRESHTOKEN = 'REFRESHTOKEN',
}

export interface IMessage {
  countDownTime: number;
  level: number;
  message: string;
  model: MsgModel | OtherModel;
  receiver: string;
  sender: string;
  senderName: string;
  title: string;
  type: number;
}
