export interface IConfig {
  code: string | null;
  id: string | null;
  name: string | null;
  rule: string | null;
  sort: string | null;
  unit: string | null;
  value: string | null;
}

export interface IState {
  visitTime: any[];
  concurrentUserNumber: number;
  logSize: number;
  adminEmail: string;
  auditEmail: string;
  whiteIp: string;
  systemImage: {
    fileName?: string;
    fileType?: string | ArrayBuffer | null;
    filePath?: string;
  };
  systemName: string;
}
